%define upstream_name    Dist-Zilla-Plugin-ModuleInstall
%define upstream_version 0.01054020

%define _requires_exceptions perl(inc::Module::Install)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build Module::Install based Distributions with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::Tempdir) >= 0.10.276.220
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install) >= 0.900.0
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module will create a _Makefile.PL_ for installing the dist using the
Module::Install manpage.

It is at present a very minimal feature set, but it works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 05 2011 jquelin <jquelin> 0.10.540.200-1.mga1
+ Revision: 80643
- update to 0.01054020

* Wed Jan 26 2011 jquelin <jquelin> 0.10.292.160-3.mga1
+ Revision: 41073
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ModuleInstall

